Index: npl/internetserver/libreswan/libreswan.SlackBuild
===================================================================
--- npl/internetserver/libreswan/libreswan.SlackBuild	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/libreswan/libreswan.SlackBuild	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -16,5 +16,5 @@
 KVER=`uname -r` || exit 1
 NAME=libreswan
-VERSION=3.21
+VERSION=3.22
 CWD=`pwd`
 TMP="/tmp"
@@ -37,6 +37,6 @@
 #make KERNELSRC=/usr/src/linux INC_USRLOCAL=/usr module || exit 1
 
-make USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
-make USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
+make USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
+make USE_LABELED_IPSEC=false USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
 #make programs || exit 1
 #make DESTDIR=$PKGTMP install || exit 1
Index: npl/internetserver/libreswan/libreswan.build
===================================================================
--- npl/internetserver/libreswan/libreswan.build	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/libreswan/libreswan.build	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,1 +1,1 @@
-6532
+6537
Index: npl/internetserver/libreswan/libreswan.md5
===================================================================
--- npl/internetserver/libreswan/libreswan.md5	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/libreswan/libreswan.md5	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,6 +1,5 @@
-f2abcdcdccb2ec42f226a6dbb0528cad  ./libreswan-3.19.tar.gz
-cdd455cc3a97cd975ca9c92a55970641  ./libreswan-3.21.tar.gz
-faefabcbb43cfed9eb1ec10afe48349f  ./libreswan.pkg
-61949529dcf9867f1e72f4bc20382f24  ./libreswan.SlackBuild
-a50e41be47f9492ada4a8074e77822ce  ./libreswan.SlackBuild.log.gz
+27a3fdcad3fa6c8083f2037a267aa01e  ./libreswan-3.22.tar.gz
+b2e463d0f17ba6387ddd271af2bfbf70  ./libreswan.pkg
+2e74d349b48eaafc0555e3e183661a43  ./libreswan.SlackBuild
+9fdc78bd6bb7b19b82ec160709c910eb  ./libreswan.SlackBuild.log.gz
 fe6e06b11db12940987cc2010b48a71e  ./libreswan.tar.gz
Index: npl/internetserver/libreswan/libreswan.version
===================================================================
--- npl/internetserver/libreswan/libreswan.version	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/libreswan/libreswan.version	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,1 +1,1 @@
-3.21
+3.22
Index: npl/internetserver/poptop_pptpd/poptop_pptpd.SlackBuild
===================================================================
--- npl/internetserver/poptop_pptpd/poptop_pptpd.SlackBuild	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/poptop_pptpd/poptop_pptpd.SlackBuild	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,3 +1,5 @@
 #!/bin/sh
+#DEP:ppp
+
 
 CWD=`pwd`
@@ -7,5 +9,5 @@
 mkdir -p $PKG
 
-VERSION=1.3.4
+VERSION=1.4.0
 ARCH=${ARCH:-i486}
 BUILD=1DatuX
@@ -14,6 +16,6 @@
 rm -rf *
 
-tar xzvf $CWD/pptpd-1.3.4.tar.gz
-cd pptpd-1.3.4
+tar xzvf $CWD/pptpd-$VERSION.tar.gz
+cd pptpd-$VERSION
 ./configure --with-libwrap \
     --enable-bcrelay \
@@ -24,5 +26,5 @@
     --libdir=/usr/lib \
     --libexecdir=/usr/sbin || exit 1
-     
+
 make -j 1 || exit 1
 make -j 1 install DESTDIR=$PKG || exit 1
@@ -43,7 +45,8 @@
 cat << EOF > $PKG/service/pptpd/run
 #!/bin/bash
+modprobe pptp
 exec pptpd -f -c /home/system/pptpd/pptpd.conf
 EOF
-chmod +x $PKG/service/pptpd/run	
+chmod +x $PKG/service/pptpd/run
 
 #etc config files fixxen
@@ -60,3 +63,3 @@
 makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
 echo $VERSION > $CWD/$NAME.version &&
-arch > $CWD/$NAME.arch 
+arch > $CWD/$NAME.arch
Index: npl/internetserver/poptop_pptpd/poptop_pptpd.build
===================================================================
--- npl/internetserver/poptop_pptpd/poptop_pptpd.build	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/poptop_pptpd/poptop_pptpd.build	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,1 +1,1 @@
-6111
+6116
Index: npl/internetserver/poptop_pptpd/poptop_pptpd.depver
===================================================================
--- npl/internetserver/poptop_pptpd/poptop_pptpd.depver	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/poptop_pptpd/poptop_pptpd.depver	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+ppp	0
Index: npl/internetserver/poptop_pptpd/poptop_pptpd.md5
===================================================================
--- npl/internetserver/poptop_pptpd/poptop_pptpd.md5	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/poptop_pptpd/poptop_pptpd.md5	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,9 +1,8 @@
-034e83f734e7972f5df3dfa2fa607416  ./poptop_pptpd.pkg
-37b3bb7342f0b780d2a48fe32ef4355c  ./poptop_pptpd.SlackBuild
-ec84c4d192d30dcf594af4f934159543  ./poptop_pptpd.SlackBuild.log.gz
+6d2bb46234794572721edc5243861c1f  ./poptop_pptpd.pkg
+a4030ec4d35af9d5320452c87f87b9d8  ./poptop_pptpd.SlackBuild
+6a99e6cb2629e01c00382dc75127c4c5  ./poptop_pptpd.SlackBuild.log.gz
 fc5af1e56891b41a248510da94f000e8  ./post.poptop_pptpd
 0f4a089991cc119410f638f1e79cc0c6  ./ppp/chap-secrets
-57cc9aa552bb90cc59ff4e61ab2801e5  ./ppp/options.pptpd
+7dcd4595bb7bbf005723773e184a1410  ./ppp/options.pptpd
 67d71b58aebd10cafe3931b6a6870ab9  ./ppp/pptpd.conf
-b38df9c431041922c997c1148bedf591  ./pptpd-1.3.4.tar.gz
-d5b059e1ad448fd8d7ff0e226b17619f  ./readme.txt
+36f9f45c6ffa92bc3b6e24ae2d053505  ./pptpd-1.4.0.tar.gz
Index: npl/internetserver/poptop_pptpd/poptop_pptpd.version
===================================================================
--- npl/internetserver/poptop_pptpd/poptop_pptpd.version	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/poptop_pptpd/poptop_pptpd.version	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,1 +1,1 @@
-1.3.4
+1.4.0
Index: npl/internetserver/poptop_pptpd/ppp/options.pptpd
===================================================================
--- npl/internetserver/poptop_pptpd/ppp/options.pptpd	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/poptop_pptpd/ppp/options.pptpd	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -14,5 +14,5 @@
 # Authentication
 
-# Name of the local system for authentication purposes 
+# Name of the local system for authentication purposes
 # (must match the second field in /etc/ppp/chap-secrets entries)
 name pptpd
@@ -102,7 +102,7 @@
 
 # Disable BSD-Compress compression
-nobsdcomp 
+nobsdcomp
 
-# Disable Van Jacobson compression 
+# Disable Van Jacobson compression
 # (needed on some networks with Windows 9x/ME/XP clients, see posting to
 # poptop-server on 14th April 2005 by Pawel Pokrywka and followups,
@@ -111,17 +111,11 @@
 novjccomp
 
-# turn off logging to stderr, since this may be redirected to pptpd, 
+# turn off logging to stderr, since this may be redirected to pptpd,
 # which may trigger a loopback
 nologfd
 
-# put plugins here 
+# put plugins here
 # (putting them higher up may cause them to sent messages to the pty)
 plugin radius.so
 plugin radrealms.so
 plugin radattr.so
-
-# nodig om connectie problemen op te lossen met servers achter 'broken routers'
-nomppe-lower-mtu
-
-
-
Index: npl/internetserver/ppp/ppp.SlackBuild
===================================================================
--- npl/internetserver/ppp/ppp.SlackBuild	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/ppp.SlackBuild	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://ftp.bit.nl/mirror/slackware/source/n/ppp/
+# Created at Wed Jun 28 17:52:27 CEST 2017
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./ppp.SlackBuild.orig
+
+# add microsoft pptp support for poptop_pptpd:
+
+echo "INCLUDE /etc/radiusclient/dictionary.microsoft" >> /tmp/package-ppp/etc/radiusclient/dictionary
+
+echo "localhost          testing123" >> /tmp/package-ppp/etc/radiusclient/servers
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/internetserver/ppp/ppp.SlackBuild.orig
===================================================================
--- npl/internetserver/ppp/ppp.SlackBuild.orig	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/ppp.SlackBuild.orig	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,169 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2013, 2015  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=2.4.7
+RADVER=1.1.6
+PPPVER=1.98
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i486 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+  LIBDIRSUFFIX="64"
+else
+  LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-ppp
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+echo "+============+"
+echo "| ppp-$VERSION |"
+echo "+============+"
+cd $TMP
+rm -rf ppp-$VERSION
+tar xvf $CWD/ppp-$VERSION.tar.xz || exit 1
+cd ppp-$VERSION || exit 1
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+zcat $CWD/ppp.slack.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+sed -i -e "s#lib/pppd#lib${LIBDIRSUFFIX}/pppd#g" $(grep -lr 'lib/pppd' *)
+
+# This conflicts with the header in 3.5+ kernels:
+rm -f include/linux/if_pppol2tp.h
+
+zcat $CWD/ppp.CVE-2015-3310.diff.gz | patch -p1 --verbose || exit 1
+
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX}
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG/usr
+
+# Install PPP config files:
+mkdir -p $PKG/etc/ppp
+cp -a etc.ppp/* $PKG/etc/ppp
+chmod 600 $PKG/etc/ppp/*secrets
+( cd $PKG/etc/ppp
+  mv chap-secrets chap-secrets.new
+  mv options options.new
+  mv pap-secrets pap-secrets.new
+)
+zcat $CWD/options.new.gz > $PKG/etc/ppp/options.new
+
+# Fix what seems like an insecure default setting.
+# Feel free to "chmod 4750 pppoatm.so rp-pppoe.so" at your own risk.
+# Since they are only runnable by group root, the risk really isn't much...
+chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/pppd/*/*.so
+
+mkdir -p $PKG/usr/doc/ppp-$VERSION
+cp -a \
+  FAQ PLUGINS README* SETUP scripts \
+  $PKG/usr/doc/ppp-$VERSION
+
+echo "+====================+"
+echo "| freeradius-client-$RADVER |"
+echo "+====================+"
+cd $TMP
+rm -rf freeradius-client-$RADVER
+tar xf $CWD/freeradius-client-$RADVER.tar.xz || exit 1
+cd freeradius-client-$RADVER || exit 1
+chown -R root:root .
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --build=$ARCH-slackware-linux
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+zcat $CWD/radius.msdict.gz > $PKG/etc/radiusclient/dictionary.microsoft
+zcat $CWD/realms.gz > $PKG/etc/radiusclient/realms
+( cd $PKG/etc/radiusclient
+  chmod 600 realms servers
+  mv issue issue.new
+  mv radiusclient.conf radiusclient.conf.new
+  mv realms realms.new
+  mv servers servers.new
+)
+mkdir -p $PKG/usr/doc/freeradius-client-$RADVER
+cp -a \
+  BUGS COPYRIGHT README README.radexample doc/instop.html \
+  $PKG/usr/doc/freeradius-client-$RADVER
+chmod 644 $PKG/usr/doc/freeradius-client-$RADVER/*
+
+echo "+===============+"
+echo "| pppsetup-$PPPVER |"
+echo "+===============+"
+cd $TMP
+rm -rf pppsetup-$PPPVER
+tar xvf $CWD/pppsetup-$PPPVER.tar.xz || exit 1
+cd pppsetup-$PPPVER || exit 1
+chown -R root:root .
+zcat $CWD/pppsetup-1.98.slack.diff.gz | patch -p1 --backup || exit
+zcat $CWD/pppsetup-1.98.pppoff.diff.gz | patch -p0 --backup || exit
+zcat $CWD/pppsetup-1.98.moredevs.diff.gz | patch -p1 --backup || exit
+zcat $CWD/pppsetup-1.98.backupfiles.diff.gz | patch -p1 --backup || exit
+chmod 755 ppp-off pppsetup
+cp -a ppp-off pppsetup $PKG/usr/sbin
+mkdir -p $PKG/usr/doc/pppsetup
+cp -a \
+  README.pppsetup ppp-compile.txt pppsetup-$PPPVER.README pppsetup-$PPPVER.lsm \
+  $PKG/usr/doc/pppsetup
+
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+  find . -name "*.a" | xargs file | grep "ar archive" | cut -f 1 -d : | xargs strip -g 2> /dev/null
+)
+
+chmod 755 $PKG/usr/sbin/*
+
+gzip -9 $PKG/usr/man/man?/*.?
+chmod 644 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/ppp-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/internetserver/ppp/ppp.arch
===================================================================
--- npl/internetserver/ppp/ppp.arch	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/ppp.arch	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+i486
Index: npl/internetserver/ppp/ppp.build
===================================================================
--- npl/internetserver/ppp/ppp.build	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/ppp.build	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+7
Index: npl/internetserver/ppp/ppp.md5
===================================================================
--- npl/internetserver/ppp/ppp.md5	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/ppp.md5	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,19 @@
+84d4d9f8f8d9d50145bd2ae6bc17b528  ./doinst.sh.gz
+5e49056ec09893b9febbea8465004b46  ./freeradius-client-1.1.6.tar.xz
+9467c67ee1289b53887a88a8d3af2ef9  ./options.new.gz
+36eef9589f55d85fae17327037cc0760  ./ppp-2.4.7.tar.xz
+a0e118e536a2b507a7b8d91e252a38a5  ./ppp.CVE-2015-3310.diff.gz
+97c11ce913ab37e545e79e24eb8c59ff  ./ppp_dev.pkg
+15d48705f80c04662febdf7c2edf689a  ./ppp.pkg
+cfcc8b4ba69927d23b39dc824c9b1985  ./pppsetup-1.98.backupfiles.diff.gz
+14b9880070fdd3d11a991b8a9c519932  ./pppsetup-1.98.moredevs.diff.gz
+cf7bafd178fbdadcff4c1c58949fcdbd  ./pppsetup-1.98.pppoff.diff.gz
+e566fc331419a8c2971c630b368eb9a5  ./pppsetup-1.98.slack.diff.gz
+102564222cf87f52dc503c22eb2470ad  ./pppsetup-1.98.tar.xz
+db642aa90b0ff8449eaf64bf1c583199  ./ppp.SlackBuild
+60e13e6d327eb9a7146e023ed03dc9bd  ./ppp.SlackBuild.log.gz
+9ad99dd0ecb0348d0019c4d710070590  ./ppp.SlackBuild.orig
+23dfd8e7153b715e8068e97f51ef1be1  ./ppp.slack.diff.gz
+5280465d9cf03beadb99c5698909a667  ./radius.msdict.gz
+dc57dd58690a18b7e1a8a727c8b06a96  ./realms.gz
+f77194697b48273eb7ee31b12620c622  ./slack-desc
Index: npl/internetserver/ppp/ppp.version
===================================================================
--- npl/internetserver/ppp/ppp.version	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/ppp.version	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+2.4.7
Index: npl/internetserver/ppp/ppp_dev.arch
===================================================================
--- npl/internetserver/ppp/ppp_dev.arch	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/ppp_dev.arch	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+i486
Index: npl/internetserver/ppp/ppp_dev.build
===================================================================
--- npl/internetserver/ppp/ppp_dev.build	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/ppp_dev.build	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+7
Index: npl/internetserver/ppp/ppp_dev.version
===================================================================
--- npl/internetserver/ppp/ppp_dev.version	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/ppp_dev.version	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+2.4.7
Index: npl/internetserver/ppp/slack-desc
===================================================================
--- npl/internetserver/ppp/slack-desc	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/internetserver/ppp/slack-desc	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+   |-----handy-ruler------------------------------------------------------|
+ppp: ppp (Point-to-Point Protocol)
+ppp:
+ppp: The Point-to-Point Protocol (PPP) provides a method for transmitting
+ppp: data over serial links.  It's commonly used for connecting to the
+ppp: Internet using a modem.  This package includes the PPP daemon (pppd),
+ppp: which negotiates with the peer to establish the link and sets up the
+ppp: ppp network interface, and pppsetup, an easy-to-use utility for
+ppp: setting up your PPP daemon.
+ppp:
+ppp:
+ppp:
Index: npl/internetserver/pppd_ldap/pppd_ldap.SlackBuild
===================================================================
--- npl/internetserver/pppd_ldap/pppd_ldap.SlackBuild	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/internetserver/pppd_ldap/pppd_ldap.SlackBuild	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,4 +1,4 @@
 #!/bin/sh
-#DEP:poptop_ppp
+#DEP:ppp
 #DEP:openldap
 CWD=`pwd`
@@ -27,5 +27,5 @@
 chmod +x $PKG/etc/postinst.d/post.pppd_ldap
 
-#LDAP schema file voor Radius 
+#LDAP schema file voor Radius
 mkdir -p $PKG/etc/openldap/schema
 cp RADIUS-LDAPv3.schema $PKG/etc/openldap/schema || exit 1
@@ -36,3 +36,3 @@
 makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
 echo $VERSION > $CWD/$NAME.version &&
-arch > $CWD/$NAME.arch 
+arch > $CWD/$NAME.arch
Index: npl/overig/ncdu/ncdu.SlackBuild
===================================================================
--- npl/overig/ncdu/ncdu.SlackBuild	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/overig/ncdu/ncdu.SlackBuild	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+##NEED:...
+#DEP:ncurses
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/ncdu/ncdu.arch
===================================================================
--- npl/overig/ncdu/ncdu.arch	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/overig/ncdu/ncdu.arch	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/ncdu/ncdu.build
===================================================================
--- npl/overig/ncdu/ncdu.build	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/overig/ncdu/ncdu.build	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/ncdu/ncdu.depver
===================================================================
--- npl/overig/ncdu/ncdu.depver	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/overig/ncdu/ncdu.depver	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+ncurses	0
Index: npl/overig/ncdu/ncdu.md5
===================================================================
--- npl/overig/ncdu/ncdu.md5	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/overig/ncdu/ncdu.md5	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,4 @@
+7365ac46c420bc511621216b1747984f  ./ncdu-1.12.tar.gz
+2d16295b9497b0cb7bcee09d5df86954  ./ncdu.pkg
+552c529ea8ddb0399dee1cfeac638f16  ./ncdu.SlackBuild
+a7dcd7d42b426006bf3cf80b5c8ac4d0  ./ncdu.SlackBuild.log.gz
Index: npl/overig/ncdu/ncdu.version
===================================================================
--- npl/overig/ncdu/ncdu.version	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
+++ npl/overig/ncdu/ncdu.version	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -0,0 +1,1 @@
+1.12
Index: npl/syn3/syn3_patches/post.patches
===================================================================
--- npl/syn3/syn3_patches/post.patches	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/syn3/syn3_patches/post.patches	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -18,2 +18,5 @@
 removepkg /log/packages/python_setuptools-0* 2>/dev/null || true
 
+#some modern packages require /run instead of /var/run:
+ln -s /var/run /  2>/dev/null || true
+
Index: npl/syn3/syn3_patches/syn3_patches.build
===================================================================
--- npl/syn3/syn3_patches/syn3_patches.build	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/syn3/syn3_patches/syn3_patches.build	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,1 +1,1 @@
-6537
+6539
Index: npl/syn3/syn3_patches/syn3_patches.md5
===================================================================
--- npl/syn3/syn3_patches/syn3_patches.md5	(revision e248cf206de78584fb5cd2702847596c07312488)
+++ npl/syn3/syn3_patches/syn3_patches.md5	(revision d6ed36a1e0392dff58e453da827776e93ed5aa3a)
@@ -1,5 +1,5 @@
-39962f1807e5f275d7a6d64bf82eb0ae  ./post.patches
+2f6fd8091ce80a54d352d27a6897d928  ./post.patches
 b173a5aec3c910b462afffd61a39aa32  ./root/var/lib/patches/README
-3460854ff7dc814052af546e013b42c5  ./syn3_patches.pkg
+659fad5bdd3da4d7660c4de1fe9b58d8  ./syn3_patches.pkg
 6c062583fe22f5aa19b6ff6593149514  ./syn3_patches.SlackBuild
-317ae5fef2ea62fc5e9c032c909fd3b3  ./syn3_patches.SlackBuild.log.gz
+936b966b557c3cf63cb6765f266be7dd  ./syn3_patches.SlackBuild.log.gz
